<?php
require'fun.php';
require'f_conectare.php';
conectare('piata centrala (triburile v2)','triburile2-piata-centrala');
$titlu='Piata centrala - Triburile V2';
$back[1]='<a href="/triburile2">'.img('triburile.gif',1).'Triburi</a>';
require'f_sus.php';
require'triburile2_nicu1.php';
if($pmtext!=''&&($pmtext=='atac'||$pmtext=='sprijin'))
{
$lanc=$_POST['lanc'];
$lpsp=$_POST['lpsp'];
$lptp=$_POST['lptp'];
$spio=$_POST['spio'];
$cvus=$_POST['cvus'];
$cvgr=$_POST['cvgr'];
$cetrimit='';
$sqli=$conn->query('SELECT`lanc`,`lpsp`,`lptp`,`spio`,`cvus`,`cvgr`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$ataci=$conn->query('SELECT`data`,`protect`,`de`FROM`t2_membrii`WHERE`id`="'.$la.'"')->fetch_row();
$whos=$conn->query('SELECT COUNT(*)FROM`t2_membrii`WHERE`id`="'.$la.'"')->fetch_row();
if(preg_match('/[^0-9]/',$lanc)||preg_match('/[^0-9]/',$lpsp)||preg_match('/[^0-9]/',$lptp)||preg_match('/[^0-9]/',$spio)||preg_match('/[^0-9]/',$cvus)||preg_match('/[^0-9]/',$cvgr))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii (triburile v2)",`de`="'.$de.'",`text`="a încercat să trimita '.$pmtext.', cu urmatoarele unitati:[br/]'.$lanc.' lanceri[br/]'.$lpsp.' luptatori cu spada[br/]'.$lptp.' luptatori cu toporul[br/]'.$spio.' spioni[br/]'.$cvus.' cavalerie usoara[br/]'.$cvgr.' cavalerie grea, lui",`la`="'.$ataci[2].'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai voie sa faci asta!';
}
elseif($lanc>$sqli[0]||$lpsp>$sqli[1]||$lptp>$sqli[2]||$spio>$sqli[3]||$cvus>$sqli[4]||$cvgr>$sqli[5])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai destule unitati!';
elseif(!$whos[0])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest sat nu a fost gasit!';
elseif($_SERVER['REQUEST_TIME']-$ataci[0]<25*86400&&$pmtext=='atac')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Atacurile au fost intarziate 25 de zile, pana va pregatiti și voi!';
elseif($ataci[1]==1&&$pmtext=='atac')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Are protectie!<br />Nu poate fi atacat!';
else
{
if($lpsp)
{
$cetrimit.=$lpsp.' luptatori cu spada, ';
$speed=15;
$lpspr=$conn->query('SELECT`lpsp`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$lpspr=$lpspr[0]-$lpsp;
$conn->query('UPDATE`t2_membrii`SET`lpsp`="'.$lpspr.'"WHERE`de`="'.$de.'"');
}
if($lanc)
{
$cetrimit.=$lanc.' lancieri, ';
$speed=12;
$lancr=$conn->query('SELECT`lanc`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$lancr=$lancr[0]-$lanc;
$conn->query('UPDATE`t2_membrii`SET`lanc`="'.$lancr.'"WHERE`de`="'.$de.'"');
}
if($lptp)
{
$cetrimit.=$lptp.' luptatori cu toporul, ';
$speed=12;
$lptpr=$conn->query('SELECT`lptp`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$lptpr=$lptpr[0]-$lptp;
$conn->query('UPDATE`t2_membrii`SET`lptp`="'.$lptpr.'"WHERE`de`="'.$de.'"');
}
if($cvgr)
{
$cetrimit.=$cvgr.' cavalerie grea, ';
$speed=7.5;
$cvgrr=$conn->query('SELECT`cvgr`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$cvgrr=$cvgrr[0]-$cvgr;
$conn->query('UPDATE`t2_membrii`SET`cvgr`="'.$cvgrr.'"WHERE`de`="'.$de.'"');
}
if($cvus)
{
$cetrimit.=$cvus.' cavalerie usoara, ';
$speed=6.5;
$cvusr=$conn->query('SELECT`cvus`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$cvusr=$cvusr[0]-$cvus;
$conn->query('UPDATE`t2_membrii`SET`cvus`="'.$cvusr.'"WHERE`de`="'.$de.'"');
}
if($spio)
{
$cetrimit.=$spio.' spioni, ';
$speed=6;
$spior=$conn->query('SELECT`spio`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$spior=$spior[0]-$spio;
$conn->query('UPDATE`t2_membrii`SET`spio`="'.$spior.'"WHERE`de`="'.$de.'"');
}
$saty=$conn->query('SELECT`sat`,`corx`,`cory`FROM`t2_membrii`WHERE`id`="'.$la.'"')->fetch_row();
$fer=$conn->query('SELECT`corx`,`cory`,`trib`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$ferx=$fer[0];
$fery=$fer[1];
$unitati=round(sqrt((abs($ferx-$saty[1]))*2+(abs($fery-$saty[2]))*2),0);
$timp=60*$speed*$unitati;
$gata=$conn->query('INSERT INTO`t2_ajutor`SET`de`="'.$de.'",`la`="'.$la.'",`timp`="'.$timp.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="'.$pmtext.'",`lanc`="'.$lanc.'",`lpsp`="'.$lpsp.'",`lptp`="'.$lptp.'",`spio`="'.$spio.'",`cvus`="'.$cvus.'",`cvgr`="'.$cvgr.'"');
$who1=$conn->query('SELECT`de`FROM`t2_membrii`WHERE`id`="'.$la.'"')->fetch_row();
$eu=$conn->query('SELECT`sat`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
if($gata)
{
require'f_data.php';
require'f_ramas.php';
if($pmtext=='atac')
$conn->query('INSERT INTO`t2_rapoarte`SET`la`="'.$who1[0].'",`subiect`="'.$eu[0].' te ataca!!!",`text`="'.$eu[0].' a plecat în atac către tine, '.data($_SERVER['REQUEST_TIME']).' și va ajunge în '.ramas($timp).' minute cu '.$cetrimit.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
else
$conn->query('INSERT INTO`t2_rapoarte`SET`la`="'.$who1[0].'",`subiect`="'.$eu[0].' te sprijina!!!",`text`="'.$eu[0].' a plecat în sprijin către tine, '.data($_SERVER['REQUEST_TIME']).' și va ajunge în '.ramas($timp).' minute cu '.$cetrimit.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai trimis în '.$pmtext.' '.$cetrimit.' la satul <strong>'.$saty[0].'</strong>!';
}
echo$div[0];
}
require'triburile2_nicu2.php';
echo$div[4].'<img src="'.$domenii_statice[1].'triburile2/place1.png" alt="" />Piata centrala (final)'.$div[5].$div[10].'In piata centrala se intalnesc soldatii tai.<br />Aici poți da comenzile de atac și îți poți stabili trupele.'.$div[0].$div[6].'Cladire complet terminata!'.$div[0];
$tlanc=$if[14];
$tlpsp=$if[15];
$tlptp=$if[16];
$tspio=$if[17];
$tcvus=$if[18];
$tcvgr=$if[19];
$form[0]='/triburile2-piata-centrala" method="post';
$form[1]=0;
require'f_scris3.php';
$membrii='';
$membri=$conn->query('SELECT`id`,`sat`FROM`t2_membrii`WHERE`de`!="'.$de.'"ORDER BY`pct`DESC');
while($membru=$membri->fetch_row())
{
$membrii.=$membru[0].',,'.$membru[1].'::';
}
$form[2]='<table columns="3"><tr><td><img src="'.$domenii_statice[2].'triburile2/mainn.png" alt="sat ID" width="16" height="16" />Alege sat:</td><td>'.scris3('la',$membrii).'</td><td>(ID-ul satului)</td></tr><tr><td><img src="'.$domenii_statice[1].'triburile2/lanc.png" alt="lancieri" />Lancieri:</td><td><input name="lanc" /></td><td>(maxim '.$tlanc.')</td></tr><tr><td><img src="'.$domenii_statice[1].'triburile2/lpsp.png" alt="luptatori cu spada" />Luptatori cu spada:</td><td><input name="lpsp" /></td><td>(maxim '.$tlpsp.')</td></tr><tr><td><img src="'.$domenii_statice[2].'triburile2/lptp.png" alt="luptatori cu toporul" />Luptatori cu toporul:</td><td><input name="lptp" /></td><td>(maxim '.$tlptp.')</td></tr><tr><td><img src="'.$domenii_statice[2].'triburile2/spio.png" alt="spioni" />Spioni:</td><td><input name="spio" /></td><td>(maxim '.$tspio.')</td></tr><tr><td><img src="'.$domenii_statice[2].'triburile2/cvus.png" alt="cavalerie usoara" />Cavalerie usoara:</td><td><input name="cvus" /></td><td>(maxim '.$tcvus.')</td></tr><tr><td><img src="'.$domenii_statice[1].'triburile2/cvgr.png" alt="cavalerie grea" />Cavalerie grea:</td><td><input name="cvgr" /></td><td>(maxim '.$tcvgr.')</td></tr><tr><td><img src="'.$domenii_statice[2].'go.gif" alt="actiune" />Alege actiune:</td><td>'.scris3('pmtext','sprijin,,Sprijin::atac,,Atac').'</td><td>(Actiunea executata)</td></tr></table>';
$form[3]='la::lanc::lpsp::lptp::spio::cvus::cvgr::pmtext';
$form[4]='Actioneaza';
require'f_form.php';
require'f_jos.php';